Skip to main content
GET
/
api
/
v1
/
subaccounts
Get subaccounts
curl --request GET \
  --url https://api.mainnet.aptoslabs.com/decibel/api/v1/subaccounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "is_active": true,
    "is_primary": true,
    "primary_account_address": "0x123...",
    "subaccount_address": "0x123...",
    "custom_label": "My Subaccount"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.decibel.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token from Geomi. See Authentication for setup instructions.

Query Parameters

owner
string
required

Owner account address

Response

Subaccounts retrieved successfully

is_active
boolean
required
is_primary
boolean
required
Example:

true

primary_account_address
string
required
Example:

"0x123..."

subaccount_address
string
required
Example:

"0x123..."

custom_label
string | null
Example:

"My Subaccount"